'use strict';

var _sourceMapSupport2 = require('source-map-support');

var _yargs = require('yargs');

var _yargs2 = _interopRequireDefault(_yargs);

var _lodash = require('lodash.pickby');

var _lodash2 = _interopRequireDefault(_lodash);

var _config = require('./config');

var _run = require('./run');

var _run2 = _interopRequireDefault(_run);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _sourceMapSupport2.install)();


let argv = _yargs2.default.usage(_config.USAGE).commandDir('commands');

/**
 * populate cli arguments
 */
var _iteratorNormalCompletion = true;
var _didIteratorError = false;
var _iteratorError = undefined;

try {
    for (var _iterator = _config.CLI_PARAMS[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
        const param = _step.value;

        argv = argv.option(param.name, param);
    }
} catch (err) {
    _didIteratorError = true;
    _iteratorError = err;
} finally {
    try {
        if (!_iteratorNormalCompletion && _iterator.return) {
            _iterator.return();
        }
    } finally {
        if (_didIteratorError) {
            throw _iteratorError;
        }
    }
}

const params = (0, _lodash2.default)(argv.argv);

/**
 * fail execution if more than one wdio config file was specified
 */
if (params._.length > 1) {
    argv.showHelp();
    console.error(`More than one config file was specified: ${params._.join(', ')}`); // eslint-disable-line
    console.error('Error: You can only run one wdio config file!'); // eslint-disable-line
    process.exit(1);
}

(0, _run2.default)(params);